Index: java/sql-vyuka/web/hlavni.js
===================================================================
--- java/sql-vyuka/web/hlavni.js	(revision 72:fc3d6fa6fbcd)
+++ java/sql-vyuka/web/hlavni.js	(revision 80:d900e5a112cc)
@@ -11,12 +11,12 @@
  */
 function getXmlHttpRequestObject() {
-    if (window.XMLHttpRequest) {
-	return new XMLHttpRequest();
-    } else if(window.ActiveXObject) {
-	return new ActiveXObject("Microsoft.XMLHTTP");
-    } else {
-	alert(document.getElementById('lokalizace').nepodporovany.value);
-	return null;
-    }
+	if (window.XMLHttpRequest) {
+		return new XMLHttpRequest();
+	} else if(window.ActiveXObject) {
+		return new ActiveXObject("Microsoft.XMLHTTP");
+	} else {
+		alert(document.getElementById('lokalizace').nepodporovany.value);
+		return null;
+	}
 }
 
@@ -31,5 +31,5 @@
  **/
 function getSQL() {
-    return document.getElementById('aplikace').vstupniPole.value;
+	return document.getElementById('aplikace').vstupniPole.value;
 }
 
@@ -41,11 +41,11 @@
  **/
 function zobraz(text, kde) {
-    if (kde == vstupniPole) {
-	document.getElementById('aplikace').vstupniPole.value = vratEntity(text);
-    } else if (kde == stavovePole)  {
-	document.getElementById('aplikace').stavovePole.value = vratEntity(text);
-    } else {
-	document.getElementById(kde).innerHTML = text + '<p>&nbsp;<!-- Šťastné hackování ;-) --></p>';
-    }
+	if (kde == vstupniPole) {
+		document.getElementById('aplikace').vstupniPole.value = vratEntity(text);
+	} else if (kde == stavovePole)  {
+		document.getElementById('aplikace').stavovePole.value = vratEntity(text);
+	} else {
+		document.getElementById(kde).innerHTML = text + '<p>&nbsp;<!-- Šťastné hackování ;-) --></p>';
+	}
 }
 
@@ -53,16 +53,16 @@
 /** Jednoduchá AJAXová funkce, načte obsah souboru a zobrazí ho ve výstupním okně. */
 function ajaxVykonatSQL() {
-    if (ajax.readyState == 4 || ajax.readyState == 0) {
-	zobraz(document.getElementById('lokalizace').probihaSQL.value, stavovePole);
-	ajax.open("POST", 'ajax.jspx?akce=vykonat&sql=' + encodeURIComponent(getSQL()), true);
-	ajax.onreadystatechange = function() {
-	    if (ajax.readyState == 4) {
-		zobraz(ajax.responseText, vystupniPole);
-		zobraz('', stavovePole);
-	    }
-	};
-	ajax.send(null);
-    }
-    ulozURL();
+	if (ajax.readyState == 4 || ajax.readyState == 0) {
+		zobraz(document.getElementById('lokalizace').probihaSQL.value, stavovePole);
+		ajax.open("POST", 'ajax.jspx?akce=vykonat&sql=' + encodeURIComponent(getSQL()), true);
+		ajax.onreadystatechange = function() {
+			if (ajax.readyState == 4) {
+				zobraz(ajax.responseText, vystupniPole);
+				zobraz('', stavovePole);
+			}
+		};
+		ajax.send(null);
+	}
+	ulozURL();
 }
 
@@ -70,16 +70,16 @@
 /** Jednoduchá AJAXová funkce, načte obsah souboru a zobrazí ho ve výstupním okně. */
 function ajaxZobrazitHistorii() {
-    if (ajax.readyState == 4 || ajax.readyState == 0) {
-	zobraz(document.getElementById('lokalizace').probihaHistorie.value, stavovePole);
-	ajax.open("POST", 'ajax.jspx?akce=historie', true);
-	ajax.onreadystatechange = function() {
-	    if (ajax.readyState == 4) {
-		zobraz(ajax.responseText, vystupniPole);
-		zobraz('', stavovePole);
-		aktivujHistorii();
-	    }
-	};
+	if (ajax.readyState == 4 || ajax.readyState == 0) {
+		zobraz(document.getElementById('lokalizace').probihaHistorie.value, stavovePole);
+		ajax.open("POST", 'ajax.jspx?akce=historie', true);
+		ajax.onreadystatechange = function() {
+			if (ajax.readyState == 4) {
+				zobraz(ajax.responseText, vystupniPole);
+				zobraz('', stavovePole);
+				aktivujHistorii();
+			}
+		};
 	ajax.send(null);
-    }
+	}
 }
 
@@ -89,63 +89,63 @@
 
 function ajaxPruvodcePredchozi() {
-    ajaxPruvodceNaviguj('predchozi', pruvodceAktualniId, null);
+	ajaxPruvodceNaviguj('predchozi', pruvodceAktualniId, null);
 }
 
 function ajaxPruvodceZpet() {
-    try {
-	history.back();
-	//window.back();
-	nactiURL();
-    } catch (e) {
-	alert(e);
-    // není historie
-    }
+	try {
+		history.back();
+		//window.back();
+		nactiURL();
+	} catch (e) {
+		alert(e);
+		// není historie
+	}
 }
 
 function ajaxPruvodceVpred() {
-    try {
-	history.forward();
-	//window.forward();
-	nactiURL();
-    } catch (e) {
-	alert(e);
-    // není historie
-    }
+	try {
+		history.forward();
+		//window.forward();
+		nactiURL();
+	} catch (e) {
+		alert(e);
+		// není historie
+	}
 }
 
 function ajaxPruvodceNasledujici() {
-    ajaxPruvodceNaviguj('nasledujici', pruvodceAktualniId, null);
+	ajaxPruvodceNaviguj('nasledujici', pruvodceAktualniId, null);
 }
 
 function ajaxPruvodceKod(kod) {
-    ajaxPruvodceNaviguj('podleKodu', 0, kod);
+	ajaxPruvodceNaviguj('podleKodu', 0, kod);
 }
 
 function ajaxPruvodceId(id) {
-    ajaxPruvodceNaviguj('podleId', id, null);
+	ajaxPruvodceNaviguj('podleId', id, null);
 
 }
 
 function ajaxPruvodceNaviguj(akcePruvodce, id, kod) {
-    if (ajax.readyState == 4 || ajax.readyState == 0) {
-	ajax.open("POST", 'ajax.jspx?akce=napoveda&pruvodce=' + encodeURIComponent(akcePruvodce) + '&idPruvodce=' + encodeURIComponent(id) + '&kodPruvodce=' + encodeURIComponent(kod), true);
-	ajax.onreadystatechange = function() {
-	    if (ajax.readyState == 4) {
-		zobraz(ajax.responseText, napovedniPole);
-		/** Uložíme si do paměti ID aktuální stránky */
-		if (document.getElementById('pruvodceData')) {
-		    pruvodceAktualniId = document.getElementById('pruvodceData').id.value;
-		} else {
-		    pruvodceAktualniId = 0;
-		}
-		/** Změníme URL v prohlížeči */
-		urlOdkaz['pruvodce']  = 'pruvodce=' + encodeURIComponent(pruvodceAktualniId);
-		ulozURL();
-		sestavStromy();
-		aktivujPruvodce();
-	    }
-	};
+	if (ajax.readyState == 4 || ajax.readyState == 0) {
+		ajax.open("POST", 'ajax.jspx?akce=napoveda&pruvodce=' + encodeURIComponent(akcePruvodce) + '&idPruvodce=' + encodeURIComponent(id) + '&kodPruvodce=' + encodeURIComponent(kod), true);
+		ajax.onreadystatechange = function() {
+			if (ajax.readyState == 4) {
+				zobraz(ajax.responseText, napovedniPole);
+				/** Uložíme si do paměti ID aktuální stránky */
+				if (document.getElementById('pruvodceData')) {
+					pruvodceAktualniId = document.getElementById('pruvodceData').id.value;
+				} else {
+					pruvodceAktualniId = 0;
+				}
+				/** Změníme URL v prohlížeči */
+				urlOdkaz['pruvodce']  = 'pruvodce=' + encodeURIComponent(pruvodceAktualniId);
+				ulozURL();
+				sestavStromy();
+				aktivujPruvodce();
+			}
+		};
 	ajax.send(null);
-    }
+	}
 }
 
@@ -158,13 +158,14 @@
  */
 function getParametr(parametr) {
-    parametr = parametr.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
-    //var regexS = "[\\?&]"+parametr+"=([^&#]*)";
-    var regexS = "[\\#&]"+parametr+"=([^&]*)";
-    var regex = new RegExp( regexS );
-    var results = regex.exec(window.location.hash);
-    if( results == null )
-	return "";
-    else
-	return decodeURIComponent(results[1]);
+	parametr = parametr.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
+	//var regexS = "[\\?&]"+parametr+"=([^&#]*)";
+	var regexS = "[\\#&]"+parametr+"=([^&]*)";
+	var regex = new RegExp( regexS );
+	var results = regex.exec(window.location.hash);
+	if ( results == null ) {
+		return "";
+	} else {
+		return decodeURIComponent(results[1]);
+	}
 }
 
@@ -174,9 +175,9 @@
  */
 function ulozURL() {
-    if (urlOdkaz['pruvodce']) {
-	window.location.hash = urlOdkaz['pruvodce'] + '&sql=' + encodeURIComponent(getSQL());
-    } else {
-	window.location.hash = 'sql=' + encodeURIComponent(getSQL());
-    }
+	if (urlOdkaz['pruvodce']) {
+		window.location.hash = urlOdkaz['pruvodce'] + '&sql=' + encodeURIComponent(getSQL());
+	} else {
+		window.location.hash = 'sql=' + encodeURIComponent(getSQL());
+	}
 }
 /**
@@ -184,22 +185,22 @@
  */
 function nactiURL() {
-    /** Načteme uživatelův SQL příkaz z URL do vstupního pole */
-    if (getParametr('sql')) {
-	zobraz(getParametr('sql'), vstupniPole);
-    }
-    
-    /** Načteme pozici v nápovědě */
-    if (getParametr('pruvodce')) {
-	ajaxPruvodceId(getParametr('pruvodce'));
-    } else {
-	ajaxPruvodceKod('vitejte');
-    }
+	/** Načteme uživatelův SQL příkaz z URL do vstupního pole */
+	if (getParametr('sql')) {
+		zobraz(getParametr('sql'), vstupniPole);
+	}
+
+	/** Načteme pozici v nápovědě */
+	if (getParametr('pruvodce')) {
+		ajaxPruvodceId(getParametr('pruvodce'));
+	} else {
+		ajaxPruvodceKod('vitejte');
+	}
 }
 
 window.onload = function() {
-    nactiURL();
-    document.getElementById("zahlavi").addEventListener('click', function () {
-	ajaxPruvodceKod('vitejte');
-    }, false);
+	nactiURL();
+	document.getElementById("zahlavi").addEventListener('click', function () {
+		ajaxPruvodceKod('vitejte');
+	}, false);
 }
 
@@ -213,24 +214,24 @@
  */
 function aktivujPruvodce() {
-    /** Ukázky SQL kódu */
-    elementy = document.getElementsByTagName("pre");
-    for (var i = 0; i < elementy.length; i++) {
-	if (elementy[i].parentNode.id == napovedniPole) {
-	    elementy[i].title = document.getElementById('lokalizace').klikniProNacteniPrikladu.value;
-	    elementy[i].onclick = function() {
-		zobraz(this.innerHTML, 'vstupniPole');
-		return true;
-	    };
-	}
-    }
-
-    /** Aktivace interních odkazů na průvodce */
-    elementy = document.getElementsByTagName("a");
-    for (var j = 0; j < elementy.length; j++) {
-	var odkaz = elementy[j].getAttribute("href");
-	if (odkaz.substring(0, 1) == '@') {
-	    elementy[j].href = "javascript:ajaxPruvodceKod('" + odkaz.substring(1, odkaz.length) + "');";
-	}
-    }
+	/** Ukázky SQL kódu */
+	elementy = document.getElementsByTagName("pre");
+	for (var i = 0; i < elementy.length; i++) {
+		if (elementy[i].parentNode.id == napovedniPole) {
+			elementy[i].title = document.getElementById('lokalizace').klikniProNacteniPrikladu.value;
+			elementy[i].onclick = function() {
+				zobraz(this.innerHTML, 'vstupniPole');
+				return true;
+			};
+		}
+	}
+
+	/** Aktivace interních odkazů na průvodce */
+	elementy = document.getElementsByTagName("a");
+	for (var j = 0; j < elementy.length; j++) {
+		var odkaz = elementy[j].getAttribute("href");
+		if (odkaz.substring(0, 1) == '@') {
+			elementy[j].href = "javascript:ajaxPruvodceKod('" + odkaz.substring(1, odkaz.length) + "');";
+		}
+	}
 }
 
@@ -241,15 +242,15 @@
  */
 function aktivujHistorii() {
-    radky = document.getElementsByTagName("tr");
-    for (var i = 1; i < radky.length; i++) {
-	if (radky[i].parentNode.parentNode.parentNode.id == vystupniPole) {
-	    radky[i].childNodes[1].title = document.getElementById('lokalizace').klikniProNacteniHistorie.value;
-	    radky[i].childNodes[1].style.cursor = 'pointer';
-	    radky[i].childNodes[1].onclick = function() {
-		zobraz(this.innerHTML, 'vstupniPole');
-		return true;
-	    };
-	}
-    }
+	radky = document.getElementsByTagName("tr");
+	for (var i = 1; i < radky.length; i++) {
+		if (radky[i].parentNode.parentNode.parentNode.id == vystupniPole) {
+			radky[i].childNodes[1].title = document.getElementById('lokalizace').klikniProNacteniHistorie.value;
+			radky[i].childNodes[1].style.cursor = 'pointer';
+			radky[i].childNodes[1].onclick = function() {
+				zobraz(this.innerHTML, 'vstupniPole');
+				return true;
+			};
+		}
+	}
 }
 
@@ -259,12 +260,11 @@
  */
 function vratEntity (text) {
-    var vysledek = text;
-    vysledek = vysledek.replace('&lt;', '<', 'g');
-    vysledek = vysledek.replace('&gt;', '>', 'g');
-    vysledek = vysledek.replace('&amp;', '&', 'g');
-    vysledek = vysledek.replace('&nbsp;', ' ', 'g');
-    vysledek = vysledek.replace('&#160;', ' ', 'g');
-    return vysledek;
-
+	var vysledek = text;
+	vysledek = vysledek.replace('&lt;', '<', 'g');
+	vysledek = vysledek.replace('&gt;', '>', 'g');
+	vysledek = vysledek.replace('&amp;', '&', 'g');
+	vysledek = vysledek.replace('&nbsp;', ' ', 'g');
+	vysledek = vysledek.replace('&#160;', ' ', 'g');
+	return vysledek;
 }
 
@@ -274,7 +274,8 @@
  */
 function nactiJavaScript (url) {
-    var element = document.createElement("script");
-    element.src = url;
-    element.type = "text/javascript";
-    document.getElementsByTagName("head")[0].appendChild(element);
-}
+	var element = document.createElement("script");
+	element.src = url;
+	element.type = "text/javascript";
+	document.getElementsByTagName("head")[0].appendChild(element);
+}
+
